OrganizationManagerImpl (Custom Portal Handler 1.8.0-3.10.0 API)
Date: 2016-02-09

org.gcube.portal.custom.communitymanager.impl

## Class OrganizationManagerImpl

- java.lang.Object
- - org.gcube.portal.custom.communitymanager.OrganizationsUtil
  - - org.gcube.portal.custom.communitymanager.impl.OrganizationManagerImpl

-     public class OrganizationManagerImpl
      extends OrganizationsUtil

  Author:
    Massimiliano Assante, massimiliano.assante@isti.cnr.it

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ORGANIZATION_DEFAULT_LOGO` FIXME public as generic resource

    - ### Fields inherited from class org.gcube.portal.custom.communitymanager.OrganizationsUtil

      `DEFAULT_COMPANY_WEB_ID, ROOT_ORG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrganizationManagerImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `createVO(String username, String voName, String voDesc, GCUBESiteLayout siteLayout, String themeid)` create a VO with no parent (root VO)
    `static long` | `createVO(String username, String voName, String voDesc, long parentid, GCUBESiteLayout siteLayout, String themeid)`
    `static long` | `createVRE(String username, String voName, String voDesc, long parentid, GCUBESiteLayout siteLayout, String themeid)`
    `static GCUBESiteLayout` | `getBaseLayout(String voName, boolean isVO, String username)`
    `static String` | `getVirtualGroupName(com.liferay.portal.model.Organization organization)`
    `static List<String>` | `getVirtualGroups()`
    `static Boolean` | `readOrganizationCustomAttribute(String username, com.liferay.portal.model.Organization currOrg, String attrToCheck)`

    - ### Methods inherited from class org.gcube.portal.custom.communitymanager.OrganizationsUtil

      `addManagerRole, addManagerRole, addUserToGroup, createLayout, createRole, getCompany, getDefaultCompanyWebId, getDefaultPortlets, getgCubeThemeId, getRootOrganizationName, getTomcatFolder, getVREBelongingPortlets, validateUser`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ORGANIZATION_DEFAULT_LOGO

          protected static final String ORGANIZATION_DEFAULT_LOGO

      FIXME public as generic resource
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OrganizationManagerImpl

          public OrganizationManagerImpl()

  - ### Method Detail

    - #### getVirtualGroups

          public static List<String> getVirtualGroups()
                                               throws com.liferay.portal.kernel.exception.PortalException,
                                                      com.liferay.portal.kernel.exception.SystemException

      Throws:
        `com.liferay.portal.kernel.exception.PortalException`
        `com.liferay.portal.kernel.exception.SystemException`

    - #### getVirtualGroupName

          public static String getVirtualGroupName(com.liferay.portal.model.Organization organization)

    - #### createVO

          public static long createVO(String username,
                      String voName,
                      String voDesc,
                      long parentid,
                      GCUBESiteLayout siteLayout,
                      String themeid)

      Parameters:
        `rootVoName` - the voName
        `voDesc` - -
      Returns:
        the organizationid of the created VO

    - #### createVO

          public static long createVO(String username,
                      String voName,
                      String voDesc,
                      GCUBESiteLayout siteLayout,
                      String themeid)

      create a VO with no parent (root VO)
      Parameters:
        `voName` - the voName
        `voDesc` - -
      Returns:
        the id of the created VO

    - #### createVRE

          public static long createVRE(String username,
                       String voName,
                       String voDesc,
                       long parentid,
                       GCUBESiteLayout siteLayout,
                       String themeid)

      Parameters:
        `rootVoName` - the voName
        `voDesc` - -
      Returns:
        the organizationid of the created VO

    - #### getBaseLayout

          public static GCUBESiteLayout getBaseLayout(String voName,
                                      boolean isVO,
                                      String username)
                                               throws com.liferay.portal.kernel.exception.PortalException,
                                                      com.liferay.portal.kernel.exception.SystemException

      Returns:
        the built layout of a rootVO
      Throws:
        `com.liferay.portal.kernel.exception.SystemException` - .
        `com.liferay.portal.kernel.exception.PortalException` - .

    - #### readOrganizationCustomAttribute

          public static Boolean readOrganizationCustomAttribute(String username,
                                                com.liferay.portal.model.Organization currOrg,
                                                String attrToCheck)

Copyright © 2016. All Rights Reserved.